Bug 1574540 - [abrt] bluez-tools: adapter_get_dbus_object_path(): bt-adapter killed by SIGABRT
Summary: [abrt] bluez-tools: adapter_get_dbus_object_path(): bt-adapter killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-tools
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bcf0d2acb055ca8bbbf9e7f370c...
: 1577015 1613007 1626774 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 14:12 UTC by mithrial
Modified: 2019-05-28 23:46 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:46:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (12.16 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: cgroup (351 bytes, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: core_backtrace (6.03 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: dso_list (1.66 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: environ (3.05 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: maps (9.05 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: mountinfo (5.53 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: open_fds (548 bytes, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-05-03 14:12 UTC, mithrial
no flags Details

Description mithrial 2018-05-03 14:12:27 UTC
Description of problem:
Happens everytime when I open bluetooth from xfce-settings.

Version-Release number of selected component:
bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=ce86e915be9a48cc85f791a1e1d3f294;i=dc2bd;b=bd073e9651a04ceb8b04e04106f640f0;m=4f981d42;t=56b4dbfc127be;x=d210eea78646cb63
kernel:         4.16.6-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1471428

Comment 1 mithrial 2018-05-03 14:12:32 UTC
Created attachment 1430710 [details]
File: backtrace

Comment 2 mithrial 2018-05-03 14:12:33 UTC
Created attachment 1430711 [details]
File: cgroup

Comment 3 mithrial 2018-05-03 14:12:35 UTC
Created attachment 1430712 [details]
File: core_backtrace

Comment 4 mithrial 2018-05-03 14:12:36 UTC
Created attachment 1430713 [details]
File: cpuinfo

Comment 5 mithrial 2018-05-03 14:12:37 UTC
Created attachment 1430714 [details]
File: dso_list

Comment 6 mithrial 2018-05-03 14:12:38 UTC
Created attachment 1430715 [details]
File: environ

Comment 7 mithrial 2018-05-03 14:12:39 UTC
Created attachment 1430716 [details]
File: limits

Comment 8 mithrial 2018-05-03 14:12:41 UTC
Created attachment 1430717 [details]
File: maps

Comment 9 mithrial 2018-05-03 14:12:42 UTC
Created attachment 1430718 [details]
File: mountinfo

Comment 10 mithrial 2018-05-03 14:12:44 UTC
Created attachment 1430719 [details]
File: open_fds

Comment 11 mithrial 2018-05-03 14:12:45 UTC
Created attachment 1430720 [details]
File: proc_pid_status

Comment 12 Erik Lentz 2018-05-04 01:56:39 UTC
Similar problem has been detected:

1. Turn of bluetooth from GUI
2. Bluetooth turns off successfully
3. Error occurs in Problem Reporting

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=163d;b=5e3d7866a45541cf8bcbe14dab1dbe01;m=2b2c2b198;t=56b578dd28fe7;x=9899fff0ba5c243f
kernel:         4.16.5-300.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Erik Lentz 2018-05-04 02:16:43 UTC
Similar problem has been detected:

1. Disable bluetooth
2. Bluetooth disables successfully
3. Error

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=2317;b=ccddee05207b4c4cb475220c5af4658c;m=358f9f0;t=56b57dbe5b08a;x=75faf78321c05f80
kernel:         4.16.5-300.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Steve D 2018-05-05 03:00:23 UTC
Similar problem has been detected:

On resume from suspend bluetooth adapter does not seem to be visible to OS.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=76fd96858902425480a664d13e70234c;i=24b5;b=46a78ce95be54655b47e7b3d23e860d2;m=3ea4a06c;t=56b64283f1844;x=27c0095cb5e958b8
kernel:         4.16.5-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 15 kongdeyuan 2018-05-11 02:19:18 UTC
*** Bug 1577015 has been marked as a duplicate of this bug. ***

Comment 16 Erik Lentz 2018-05-15 13:04:56 UTC
Similar problem has been detected:

1. Toggled hardware wireless switch to on
2. Turned off bluetooth

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=1f825;b=1cd28d2209b34f7b8fc70bf8ab3028ba;m=1d61400718;t=56c34f6b0f148;x=c187dee25ffb483
kernel:         4.16.7-300.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Erik Lentz 2018-05-18 02:11:56 UTC
Similar problem has been detected:

1. Toggle wireless switch on
2. Turn bluetooth off from this application
3. Bluetooth turns off successfully
4. Application crashes

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=23812;b=da81c297f88a4c24b5b21f701a62ebde;m=3c18f77e2f;t=56c716d8243c5;x=b38cfee7127db850
kernel:         4.16.8-300.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Mohamed M. Hagag 2018-05-19 02:38:00 UTC
Similar problem has been detected:

auto

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=47c88e6aa6f94c3195c05e483537daa5;i=6b32d;b=1ec3715a5ba141e4838f4f9325ff078d;m=8c3976d;t=56c85bfdc9f57;x=7c58c9ce278ee72f
kernel:         4.16.8-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 19 veehexx 2018-05-30 18:11:30 UTC
Similar problem has been detected:

opened 'bluetooth' application from cinnamon's search menu

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=cea56679908d4e7f8fade66295473e34;i=13f69;b=2d1e7103db1f473d812970dc51ac0c89;m=142034fd2a;t=56d70361a5b5e;x=f7f70747bdbd8cab
kernel:         4.16.8-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Mohamed M. Hagag 2018-06-01 20:02:30 UTC
As a work around, I removed blueberry and bluez-tools then install blueman.

Everything is working fine now - BTW I'm using XFCE - this may not work for gnome-shell based DEs.

Comment 21 linswap 2018-06-07 18:01:35 UTC
Similar problem has been detected:

Freshly installed Fedora 28 with Cinnamon Desktop, toggled Bluetooth adapter ON to OFF. 

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=f253c5c799d14326863212b5353f297d;i=2bf7;b=f77804c450864af5b4332d8cef6e0c5f;m=142681810;t=56e10ec9dcdf0;x=b54a2e83d976b203
kernel:         4.16.3-301.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Stuart D Gathman 2018-06-12 00:09:05 UTC
Similar problem has been detected:

Turned bluetooth on from cinnamon bluetooth device manager.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3503c2990d1441c2a9f57fab09fa60e2;i=938c8;b=f849b61d85df450da70b79f8b98643b1;m=2f14456e26;t=56e668e462ec9;x=6b22c2336643bc96
kernel:         4.16.14-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Tadeo Cruz 2018-07-04 04:25:35 UTC
Similar problem has been detected:

open the widget on my desktop and crash aplication bluetooth.
Laptop: Lenovo with AMD PRO 12, Fedora 27 with LVM partition and Cinnamon Desktop 

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=e07f66c813894051b6a0e00b8eda083a;i=ecf;b=c7c40c054d114729918f94123b2c7017;m=109e1b904;t=57024ade839c1;x=eec1679aac9156fb
kernel:         4.16.15-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 marcel 2018-08-06 17:50:45 UTC
*** Bug 1613007 has been marked as a duplicate of this bug. ***

Comment 25 strasharo2000 2018-08-28 06:09:58 UTC
Similar problem has been detected:

Disabled the bluetooth adapter from the tray icon.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=4342b4f0a5e847a6b6fae029f46922c0;i=61e06;b=237e676ad31c436787cbec231ee84769;m=35876b48;t=57478a270e51f;x=cdda79ab0148f15a
kernel:         4.16.13-300.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Al O 2018-09-08 13:02:09 UTC
*** Bug 1626774 has been marked as a duplicate of this bug. ***

Comment 27 strasharo2000 2018-09-26 05:58:03 UTC
Similar problem has been detected:

enabled bluetooth adapter via the tray icon

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=4342b4f0a5e847a6b6fae029f46922c0;i=683ce;b=5f63c9ab39bf4d1ebcda38c31de0926a;m=866be3b5e;t=576bfda7cd826;x=1b61b35981879ee1
kernel:         4.17.19-200.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Erik Lentz 2018-09-27 04:39:19 UTC
Similar problem has been detected:

1. Open Bluetooth device manager
2. Toggle off bluetooth
3. Close application
4. Crash message

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=122f13;b=6afd362c2cc44606b701f72b604ce025;m=3a51c3a0c0;t=576d15ff9808f;x=e1fd758de3c57e2a
kernel:         4.18.9-200.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Erik Lentz 2018-10-11 04:12:46 UTC
Similar problem has been detected:

1. Turned off bluetooth from tray application
2. Crash reported

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=13d39a;b=086f174daf2b41199ec09de52edae5ff;m=107f7397;t=577e96eaea2b4;x=260efd5956186fd6
kernel:         4.18.12-200.fc28.x86_64+debug
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 Anthony Caetano 2018-12-29 13:49:24 UTC
Similar problem has been detected:

I disabled bluetooth on login.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=01a1497d0ed148b088b8b0391eccc92e;i=2d4d0;b=2bff43108ecc4be6b82b43a908c261d2;m=477589a;t=57e2947f3bb53;x=a74df2937077cba5
kernel:         4.19.8-200.fc28.x86_64
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 Tim Wegener 2019-03-13 03:53:50 UTC
Similar problem has been detected:

Clicked on the Bluetooth icon in the system tray, and turned off Bluetooth.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        bt-adapter -i
crash_function: adapter_get_dbus_object_path
executable:     /usr/bin/bt-adapter
journald_cursor: s=a3de63a3666b4c369f5158789e3feb95;i=bcf58;b=a1d41675abab4dc280feb78023839e04;m=341c6c39e;t=583f1a6dc4fa6;x=9e7cb54332cc7acf
kernel:         4.20.14-100.fc28.x86_64
mountinfo:      
package:        bluez-tools-0.2.0-0.7.git20170912.7cb788c.fc28
reason:         bt-adapter killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 Ben Cotton 2019-05-02 19:47:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 33 Ben Cotton 2019-05-28 23:46:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.